Skip to Content
veriom

Introspect current API token

Describe the workspace API token presented in the Authorization header. Lets automation holding only a token secret discover its workspace and scopes. Secret material and hashes are never returned.

GET
/v1/api-tokens/current

Describe the workspace API token presented in the Authorization header.

Lets automation holding only a token secret discover its workspace and scopes. Secret material and hashes are never returned.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Response Body

Successful Response

application/json
  1. response

Non-secret metadata for the workspace API token presented by the caller.

created_at*Created At
Formatdate-time
expires_at*Expires At
Formatdate-time
id*Id
Formatuuid
last_used_at*|

Most recent authentication with this token, including the current request.

name*Name
scopes*array<string>

Granted scopes in lexical order.

token_prefix*Token Prefix

Non-secret lookup prefix shown in token listings; never the token secret.

workspace_id*Workspace Id
Formatuuid
workspace_name*Workspace Name
workspace_slug*Workspace Slug
Example Request
curl -X GET 'https://api.veriom.ai/v1/api-tokens/current'
Example Response
{  "created_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "last_used_at": "2019-08-24T14:15:22Z",  "name": "string",  "scopes": [    "string"  ],  "token_prefix": "string",  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",  "workspace_name": "string",  "workspace_slug": "string"}